/* OpenThorLib.c

	Auto: SC <path>OpenBRLib2.c NOSTKCHK IDIR src:bbsread/include DEBUG FULL
*/
#define __USE_SYSBASE   1

#include <exec/types.h>
#include <proto/exec.h>
#include <proto/dos.h>
#include <libraries/dos.h>

#include	<libraries/bbsread.h>


struct Library *OpenBRLibrary(
struct ExecBase *SysBase,
struct DosLibrary *DOSBase,
STRPTR libName,
LONG version)
{
	TEXT envbuf[256];
	struct Library *libBase = NULL;

	if(GetVar(ENV_THORPATH, envbuf, 256, GVF_GLOBAL_ONLY))
	{
		if(AddPart(envbuf, "libs", 256))
		{
			if(AddPart(envbuf, libName, 256))
			{
				libBase = OpenLibrary(envbuf, version);
			}
		}
	}
	if(!libBase) libBase = OpenLibrary(libName, version);

	return(libBase);
}
