/* OpenBRLib.c

	Auto: SC <path>OpenBRLib.c NOSTKCHK IDIR src:bbsread/include DEBUG FULL
*/
#define __USE_SYSBASE   1

#include <exec/types.h>
#include <proto/exec.h>
#include <proto/dos.h>
#include <libraries/dos.h>

#include	<libraries/bbsread.h>


struct Library *OpenBRLibrary(
struct ExecBase *SysBase,
struct DosLibrary *DOSBase,
LONG version)
{
	TEXT envbuf[256];
	struct Library *BBSReadBase = NULL;

	if(GetVar(ENV_THORPATH, envbuf, 256, GVF_GLOBAL_ONLY))
	{
		if(AddPart(envbuf, "libs/" BBSREADNAME, 256))
		{
			BBSReadBase = OpenLibrary(envbuf, version);
		}

	}
	if(!BBSReadBase) BBSReadBase = OpenLibrary(BBSREADNAME, version);

	return(BBSReadBase);
}
